<template>
    <div class="container">
      <div class="row mt-2">
        <div class="col-sm-3">
          <div class="input-group">
            <input class="form-control form-control-navbar" @keyup.enter="searchit"
            v-model="search" type="search" placeholder="search" aria-label="search">
            <button class="btn btn-primary" @click="searchit">
              <i class="fa fa-search inline"></i>
            </button>
          </div>
        </div>
      </div>

      <div class="row mt-2">
        <div class="col-12">
          <div class="card">
            <div class="card-header">
              <h3 class="card-title">List Peserta</h3>
            </div>
            <!-- /.card-header -->
            <div class="card-body table-responsive p-0">
              <table class="table table-hover">
                <thead>
                <tr>
                    <th>ID Pengenal</th>
                    <th>Nama Peserta</th>
                    <th>No Tiket</th>
                    <th>Nama Event</th>
                    <th>Tanggal Acara</th>
                    <th>Waktu Register</th>
                    <th>Status Kehadiran</th>
                    <th>Modify</th>
                </tr>
              </thead>
                <tbody>

                  <tr v-for="v_event_peserta in v_event_peserta.data" :key="v_event_peserta.id_event_peserta">
                    <td>{{v_event_peserta.id_pengenal}}</td>
                    <td>{{v_event_peserta.nama_peserta}}</td>
                    <td>{{v_event_peserta.id_event_peserta}}</td>
                    <td>{{v_event_peserta.nama_event}}</td>
                    <td>{{v_event_peserta.tanggal_acara}}</td>
                    <td>{{v_event_peserta.waktu_register}}</td>
                    <td>{{v_event_peserta.status_kehadiran}}</td>
                    <td>
                      <button class="btn-sm btn-success" @click="absenHadir(v_event_peserta.id_event_peserta)"><i class="fas fa-check"></i></button>
                    </td>
                  </tr>

              </tbody></table>
            </div>
            <!-- /.card-body -->
            <div class="card-footer">
                <pagination :data="v_event_peserta"
                @pagination-change-page="getResults"></pagination>
            </div>
          </div>
          <!-- /.card -->
        </div>
      </div>

    </div>
</template>



<script>
import Form from 'vform'

    export default {
        data() {
          return {
              search: '',
              v_event_peserta : {},
              form: new Form({
                id_event: '',
                nama_event: '',
                type_event: '',
                awal_pendaftaran: '',
                akhir_pendafertaran: '',
                tanggal_acara: '',
                headline: '',
              })
          }
        },
        methods: {
            searchit(){
              let query = this.search;
              axios.get('api/findPeserta?q='+query)
              .then((data) => {
                this.v_event_peserta = data.data
              })
              .catch(() =>{

              })
            },
            getResults(page = 1) {
              axios.get('api/historyEvent?page=' + page)
                .then(response => {
                  this.v_event_peserta = response.data;
                });
            },
            absenHadir(id){
              //  console.log('Editing data');
              this.form.put('https://careerday.telkomuniversity.ac.id/api/absenPeserta/'+id)
              .then(() => {
                swal(

                  'Anda telah berhasil registrasi.',
                  'success'
                )
                this.loadEvents();
              })
              .catch(() => {

              });
            },

            loadEvents(){
                axios.get("api/historyEvent").then(({data}) => (this.v_event_peserta = data));
            },
        },
        created() {
            this.loadEvents();
        }
    }
</script>
